php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #8196 httpd: Cannot load /etc/httpd/modules/libphp4.so into server: /usr/lib/libgd.so
Submitted: 2000-12-11 16:42 UTC Modified: 2000-12-15 09:49 UTC
From: mwong at fnmail dot com Assigned:
Status: Closed Package: Apache related
PHP Version: 4.0.3pl1 OS: Red Hat Linux 6.2
Private report: No CVE-ID: None
 [2000-12-11 16:42 UTC] mwong at fnmail dot com
I am currently running Apache version 1.3.0 on Red Hat 6.2

I installed an rpm package called libgd-1.7.3 for graphics support.

After restarting the web server, i get the error

httpd: Cannot load /etc/httpd/modules/libphp4.so into server: /usr/lib/libgd.so: unspecified symbol: uncompress

If i remove all "Load_Modules" pertaining to PHP in the httpd.conf file, apache web server runs fine. Once i re-input the missing Modules that need to be loaded, apache webserver nolonger wants to run. Is there a solution to this problem.

If so, can you please help a newbie out..
Thanks a bunch,

Mike

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2000-12-15 09:49 UTC] sniper@php.net
This is not a bug in PHP. 
Please submit further questions to 
php-install@lists.php.net 

Also, this site offer RPMS for PHP4:
http://rpms.arvin.dk/php/

and there is also a FAQ about them.

--Jani
 
PHP Copyright © 2001-2024 The PHP Group
All rights reserved.
Last updated: Wed May 22 18:01:36 2024 UTC